/*
A C++ Port of the Hungarian Algorithm provided by numpy.linear_assignment

Original Python source can be found here: 
https://github.com/scikit-learn/scikit-learn/blob/master/sklearn/utils/linear_assignment_.py
*/
#ifndef _LINEAR_ASSIGNMENT_
#define _LINEAR_ASSIGNMENT_

#include <vector>
#include <utility>
using std::vector;
using std::pair;


vector<pair<int,int> > linear_assignment( vector<vector<float> > X);


#endif