#ifndef _SORT_
#define _SORT_

#include "kalman_box_tracker.hpp"
#include <vector>
using std::vector;

class SORT {
private:
    int max_age;
    int min_hits;
    vector<KalmanBoxTracker> trackers;
    int frame_count = 0;
public:
    SORT(int _max_age = 1, int _min_hits = 3);
    vector<vector<float> > update(vector<vector<float> > dets);
};

#endif
